Bug 466866 - SELinux is preventing evince (nsplugin_t) "connectto" unconfined_dbusd_t.
SELinux is preventing evince (nsplugin_t) "connectto" unconfined_dbusd_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-10-14 04:40 EDT by Alex Chiang
Modified: 2008-10-23 10:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 10:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-14 04:40:37 EDT
Summary:

SELinux is preventing evince (nsplugin_t) "connectto" unconfined_dbusd_t.

Detailed Description:

SELinux denied access requested by evince. It is not expected that this access
is required by evince and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0
                              :c0.c1023
Target Objects                002F746D702F646275732D446F704D335577547146 [
                              unix_stream_socket ]
Source                        evince
Source Path                   /usr/bin/evince
Port                          <Unknown>
Host                          ethanol
Source RPM Packages           evince-2.23.92-1.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.7-1.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     ethanol
Platform                      Linux ethanol 2.6.27-0.352.rc7.git1.fc10.i686 #1
                              SMP Tue Sep 23 21:26:04 EDT 2008 i686 i686
Alert Count                   18
First Seen                    Tue 14 Oct 2008 02:18:24 AM MDT
Last Seen                     Tue 14 Oct 2008 02:35:08 AM MDT
Local ID                      eda23fd7-01c6-4520-a045-0230efa92ed1
Line Numbers                  

Raw Audit Messages            

node=ethanol type=AVC msg=audit(1223973308.344:253): avc:  denied  { connectto } for  pid=27753 comm="evince" path=002F746D702F646275732D446F704D335577547146 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket

node=ethanol type=SYSCALL msg=audit(1223973308.344:253): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfe03200 a2=abeff4 a3=0 items=0 ppid=27752 pid=27753 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=3 comm="evince" exe="/usr/bin/evince" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-10-23 10:46:54 EDT
Fixed in latest rawhide policy


Fixed in selinux-policy-3.5.13-1.fc10

Note You need to log in before you can comment on or make changes to this bug.